Doomsday Engine - Bug #669

0 tic state issues
2009-04-14 12:43 - vermil

Status: New Start date: 2009-04-14
Priority: Low % Done: 0%
Assignee:

Category: Regression

Target version: Modding

Description

If a mobj's melee attack states are all 0 tic's. Dday will get stuck in an infinite loop when the mobj attempts to enter those states.
1.8.6 will freeze, while Beta 6.1 will freeze for a few seconds and then shutdown with no error message.
Dday has no problems with a mobj's ranged attack states all being 0 tic's.

If you use the same 0 tic length states for both a monsters ranged and melee attacks, Dday will have no problem when it uses the
states for a ranged attack, but it will get stuck in an infinite loop when it tries to use them in a melee attack.

Labels: Definitions

History

#1 - 2009-04-14 12:50 - danij

Why are you setting the state tic duration to zero anyway?
#2 - 2009-04-15 08:37 - vermil
| wanted an object to immediately remove itself once the player "touches" it and also call an infine def.

| had to attach the infine def to a mobj state because there is more than one of the mobj type on the map. Hence | couldn't use an xg def on the map
with a mobj_gone requirement to call the infine.

| also use 0 tic states to call more than one mobj action at the same time as each state can only have one action attached.

#3 - 2011-12-20 12:17 - vermil

To come back to this. | believe the issue is related to the code for A_chase.

Put simply, if A_chase makes too many calls for an attack, ranged or melee, at the same time, dday get's stuck in an infinite loop.
Dday also appears unable to deal with 0 tic long death states with regards to item drops.

#4 - 2011-12-20 18:36 - danij

Zero length states are not supported, not in Doomsday or any source port of Doom to my knowledge.

Presumably what you want to happen when a state is defined as lasting for zero tics is that Doomsday will fast forward, executing all actions, script
executions, etc... until a state with a non-zero tic is reached?

#5 - 2011-12-20 18:42 - danij

Vermil also says:
0 tic weapon states no longer function; in 1.8.6, 0 tic length weapon states functioned without any apparent issue (I used them in mods).

#6 - 2013-10-22 15:59 - skyjake
- Tags set to PlaySim
- Category set to Regression

- Target version deleted (1.8.6)

#7 - 2017-04-03 14:57 - skyjake

- Target version set to Modding
